repo/gentoo:master commit in: dev-python/argcomplete/
MichaŠGórny <[email protected]> Wed, 05 Aug 2026 02:13:35 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785894940.25be604fde555b5dd4a47475adad0d417238321e.mgorny@gentoo> |
commit: 25be604fde555b5dd4a47475adad0d417238321e
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 5 01:46:29 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 5 01:55:40 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25be604f
dev-python/argcomplete: Bump to 3.7.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/argcomplete/Manifest | 2 +
dev-python/argcomplete/argcomplete-3.7.1.ebuild | 51 +++++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/dev-python/argcomplete/Manifest b/dev-python/argcomplete/Manifest
index a137b9181aec..ee4266877f4c 100644
--- a/dev-python/argcomplete/Manifest
+++ b/dev-python/argcomplete/Manifest
@@ -1,2 +1,4 @@
DIST argcomplete-3.7.0.tar.gz 73284 BLAKE2B 3ddc792c685e7c1360a26e3f08172a4af567560e2eda174b0db73194f81a12b918e4af31399aa095da2770de14eea42e28f0b0b37d2359004ea0be9a1a92f35f SHA512 040dafb7ed84632c730dc2889aa1b0480c632efd758662539cdcfb4e98748068b11ca2b336e17e2f0ddb735c7efcece648412e79a18343e5d65de2130cd8f50a
DIST argcomplete-3.7.0.tar.gz.provenance 10008 BLAKE2B 8c318a26b820764f90c1029e8c075ac2956607a1e8d6c618f5ca8edf553123b6411060b110375db7ca81920445bf5982bf40fb543a20b48c69f3677109282c62 SHA512 b3093040cfffd9e64ebf2f81775ef9b2d25e84ebb8594601182f15e9aaff52271f86a11b2f62cb06a46f56ff0ff0cba4a4f8b25086502fcbc4bbeedd55e676d3
+DIST argcomplete-3.7.1.tar.gz 74457 BLAKE2B 46f42c1faee7bdfa5934a07d0d7b8fd80af38c8174cd2a904d41eea6c520f6614437cae44f635f0ddcd566e92d1575a0cc2d1c6e4cdf08c75604e90e503f91dc SHA512 6270f6fb401041c4f2f3b7ce42383e7e44c87e61e956ebff548255250a0a87fffdcfe75fbd6268c2da64023dab87e815f7ab65cf17350596131be5e8cac5adde
+DIST argcomplete-3.7.1.tar.gz.provenance 9448 BLAKE2B b5f9684f348efe6fb178d39bac83feb29b5206b981e897fcf5848f29c618537509cb7974532ccc336c8f999a607f9aab64fe9c4c6d3d171d1adb2e5a6b82af5e SHA512 b576e12fd57f1aa6c01c4c35b0c37847870624930c2be0da41fe2bc5a1f09d586c5e4df9ee65dad7096140b8ceefeaaa0edcf14a3f25d2c8639a68598ca7820e
diff --git a/dev-python/argcomplete/argcomplete-3.7.1.ebuild b/dev-python/argcomplete/argcomplete-3.7.1.ebuild
new file mode 100644
index 000000000000..e2ac9f7b717c
--- /dev/null
+++ b/dev-python/argcomplete/argcomplete-3.7.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/kislyuk/argcomplete
+PYTHON_COMPAT=( python3_{12..15} python3_{14..15}t )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Bash tab completion for argparse"
+HOMEPAGE="
+ https://github.com/kislyuk/argcomplete/
+ https://pypi.org/project/argcomplete/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# pip is called as an external tool
+# setuptools is needed for package tests
+# zsh pin: https://github.com/kislyuk/argcomplete/issues/544
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ app-shells/tcsh
+ app-shells/zsh
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pip-19
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ # increase test timeouts -- this is particularly necessary
+ # for entry point tests because they read metadata of all installed
+ # packages which can take real long on systems with lots of packages
+ "${FILESDIR}/argcomplete-3.1.6-timeout.patch"
+
+ # run pip tests without build isolation, so they don't download
+ # setuptools
+ "${FILESDIR}/argcomplete-3.7.0-no-build-isolation.patch"
+)
+
+python_test() {
+ "${EPYTHON}" test/test.py -v || die
+}